--[[
-- Author: Garth Gibson (titanpvplog@shaw.ca)
--]]

function RealmFriendsUI_OnLoad()
	UIPanelWindows["PvPLogConfigFrame"] = {area = "center", pushable = 0};
end

function RealmFriendsUI_OnShow()
	txtRealmFriendsUI_HeaderText:SetText(REALMFRIENDSTITLE);
	txtRealmFriendsUI_FriendsHeaderText:SetText(SYNCFRIENDS);
	txtRealmFriendsUI_IgnoresHeaderText:SetText(SYNCIGNORES);
	cbxRealmFriendsUI_SyncFriendsMe_Enable:SetChecked(syncFriends);
	cbxRealmFriendsUI_SyncFriendsMe_Disable:SetChecked(not syncFriends);
	cbxRealmFriendsUI_SyncFriendsAll_Enable:SetChecked(syncAllFriendsEnabled);
	cbxRealmFriendsUI_SyncFriendsAll_Disable:SetChecked(syncAllFriendsDisabled);
	cbxRealmFriendsUI_SyncIgnoresMe_Enable:SetChecked(syncIgnores);
	cbxRealmFriendsUI_SyncIgnoresMe_Disable:SetChecked(not syncIgnores);	
	cbxRealmFriendsUI_SyncIgnoresAll_Enable:SetChecked(syncAllIgnoresEnabled);
	cbxRealmFriendsUI_SyncIgnoresAll_Disable:SetChecked(syncAllIgnoresDisabled);
	btnRealmFriendsUI_Close:SetText(ACCEPT);
end

function btnRealmFriendsUI_Close_OnClick()
	if(cbxRealmFriendsUI_SyncFriendsAll_Enable:GetChecked()) then
		RealmFriends_enableAllFriends();
	elseif(cbxRealmFriendsUI_SyncFriendsAll_Disable:GetChecked()) then
		RealmFriends_disableAllFriends();
	elseif(cbxRealmFriendsUI_SyncFriendsMe_Enable:GetChecked()) then
		RealmFriends_toggleMyFriends(true);
	else
		RealmFriends_toggleMyFriends(false);
	end
	
	if(cbxRealmFriendsUI_SyncIgnoresAll_Enable:GetChecked()) then
		RealmFriends_enableAllIgnores();
	elseif(cbxRealmFriendsUI_SyncIgnoresAll_Disable:GetChecked()) then
		RealmFriends_disableAllIgnores();
	elseif(cbxRealmFriendsUI_SyncIgnoresMe_Enable:GetChecked()) then
		RealmFriends_toggleMyIgnores(true);
	else
		RealmFriends_toggleMyIgnores(false);
	end
	
	RealmFriendsUIFrame:Hide();
end

function RealmFriendsUI_OnHide()
	if (MYADDONS_ACTIVE_OPTIONSFRAME == this) then
		ShowUIPanel(myAddOnsFrame);
	end
end

function RealmFriendsUI_OnMouseDown()
	if (arg1 == "LeftButton") then
		RealmFriendsUIFrame:StartMoving();
	end
end

function RealmFriendsUI_OnMouseUp()
	if (arg1 == "LeftButton") then
		RealmFriendsUIFrame:StopMovingOrSizing();
	end
end

function cbxRealmFriendsUI_SyncFriendsMe_Enable_OnClick()
	if(cbxRealmFriendsUI_SyncFriendsMe_Enable:GetChecked()) then
		UncheckAllFriends();
		cbxRealmFriendsUI_SyncFriendsMe_Enable:SetChecked(true);
	else
		UncheckAllFriends();
		cbxRealmFriendsUI_SyncFriendsMe_Disable:SetChecked(true);
	end
end

function cbxRealmFriendsUI_SyncFriendsMe_Disable_OnClick()
	if(cbxRealmFriendsUI_SyncFriendsMe_Disable:GetChecked()) then
		UncheckAllFriends();
		cbxRealmFriendsUI_SyncFriendsMe_Disable:SetChecked(true);
	else
		UncheckAllFriends();
		cbxRealmFriendsUI_SyncFriendsMe_Enable:SetChecked(true);
	end
end

function cbxRealmFriendsUI_SyncFriendsAll_Enable_OnClick()
	if(cbxRealmFriendsUI_SyncFriendsAll_Enable:GetChecked()) then
		UncheckAllFriends();
		cbxRealmFriendsUI_SyncFriendsAll_Enable:SetChecked(true);
		cbxRealmFriendsUI_SyncFriendsMe_Enable:SetChecked(true);
	end
end

function cbxRealmFriendsUI_SyncFriendsAll_Disable_OnClick()
	if(cbxRealmFriendsUI_SyncFriendsAll_Disable:GetChecked()) then
		UncheckAllFriends();
		cbxRealmFriendsUI_SyncFriendsAll_Disable:SetChecked(true);
		cbxRealmFriendsUI_SyncFriendsMe_Disable:SetChecked(true);
	end
end

function UncheckAllFriends()
	cbxRealmFriendsUI_SyncFriendsMe_Enable:SetChecked(false);
	cbxRealmFriendsUI_SyncFriendsMe_Disable:SetChecked(false);
	cbxRealmFriendsUI_SyncFriendsAll_Enable:SetChecked(false);
	cbxRealmFriendsUI_SyncFriendsAll_Disable:SetChecked(false);
end

function cbxRealmFriendsUI_SyncIgnoresMe_Enable_OnClick()
	if(cbxRealmFriendsUI_SyncIgnoresMe_Enable:GetChecked()) then
		UncheckAllIgnores();
		cbxRealmFriendsUI_SyncIgnoresMe_Enable:SetChecked(true);
	else
		UncheckAllIgnores();
		cbxRealmFriendsUI_SyncIgnoresMe_Disable:SetChecked(true);
	end
end

function cbxRealmFriendsUI_SyncIgnoresMe_Disable_OnClick()
	if(cbxRealmFriendsUI_SyncIgnoresMe_Disable:GetChecked()) then
		UncheckAllIgnores();
		cbxRealmFriendsUI_SyncIgnoresMe_Disable:SetChecked(true);
	else
		UncheckAllIgnores();
		cbxRealmFriendsUI_SyncIgnoresMe_Enable:SetChecked(true);
	end
end

function cbxRealmFriendsUI_SyncIgnoresAll_Enable_OnClick()
	if(cbxRealmFriendsUI_SyncIgnoresAll_Enable:GetChecked()) then
		UncheckAllIgnores();
		cbxRealmFriendsUI_SyncIgnoresAll_Enable:SetChecked(true);
		cbxRealmFriendsUI_SyncIgnoresMe_Enable:SetChecked(true);
	end
end

function cbxRealmFriendsUI_SyncIgnoresAll_Disable_OnClick()
	if(cbxRealmFriendsUI_SyncIgnoresAll_Disable:GetChecked()) then
		UncheckAllIgnores();
		cbxRealmFriendsUI_SyncIgnoresAll_Disable:SetChecked(true);
		cbxRealmFriendsUI_SyncIgnoresMe_Disable:SetChecked(true);
	end
end

function UncheckAllIgnores()
	cbxRealmFriendsUI_SyncIgnoresMe_Enable:SetChecked(false);
	cbxRealmFriendsUI_SyncIgnoresMe_Disable:SetChecked(false);
	cbxRealmFriendsUI_SyncIgnoresAll_Enable:SetChecked(false);
	cbxRealmFriendsUI_SyncIgnoresAll_Disable:SetChecked(false);
end